Loading...
Searching...
No Matches
svn_wc_status3_t Struct Reference
Working copy management » Working copy status.

Structure for holding the "status" of a working copy item. More...

`#include <svn_wc.h>`

## Data Fields

svn_node_kind_t | kind
| The kind of node as recorded in the working copy.
svn_depth_t | depth
| The depth of the node as recorded in the working copy (svn_depth_unknown for files or when no depth is set).
svn_filesize_t | filesize
| The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).
svn_boolean_t | versioned
| If the path is under version control, versioned is TRUE, otherwise FALSE.
svn_boolean_t | conflicted
| Set to TRUE if the item is the victim of a conflict.
enum svn_wc_status_kind | node_status
| The status of the node itself.
enum svn_wc_status_kind | text_status
| The status of the entry's text.
enum svn_wc_status_kind | prop_status
| The status of the entry's properties.
svn_boolean_t | copied
| a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).
svn_revnum_t | revision
| Base revision.
svn_revnum_t | changed_rev
| Last revision this was changed.
apr_time_t | changed_date
| Date of last commit.
const char * | changed_author
| Last commit author of this item.
const char * | repos_root_url
| The URL of the repository.
const char * | repos_uuid
| The UUID of the repository.
const char * | repos_relpath
| The in-repository path relative to the repository root.
svn_boolean_t | switched
| a file or directory can be 'switched' if the switch command has been used.
svn_boolean_t | locked
| This directory has a working copy lock.
const svn_lock_t * | lock
| The repository file lock.
const char * | changelist
| Which changelist this item is part of, or NULL if not part of any.
svn_node_kind_t | ood_kind
| Set to the node kind of the youngest commit, or svn_node_none if not out of date.
enum svn_wc_status_kind | repos_node_status
| The status of the node, based on the text status if the node has no restructuring changes.
enum svn_wc_status_kind | repos_text_status
| The entry's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The entry's property status in the repository.
const svn_lock_t * | repos_lock
| The entry's lock in the repository, if any.
svn_revnum_t | ood_changed_rev
| Set to the youngest committed revision, or SVN_INVALID_REVNUM if not out of date.
apr_time_t | ood_changed_date
| Set to the most recent commit date, or `0` if not out of date.
const char * | ood_changed_author
| Set to the user name of the youngest commit, or `NULL` if not out of date or non-existent.
const char * | moved_from_abspath
| Set to the local absolute path that this node was moved from, if this file or directory has been moved here locally and is the root of that move.
const char * | moved_to_abspath
| Set to the local absolute path that this node was moved to, if this file or directory has been moved away locally and corresponds to the root of the destination side of the move.
svn_boolean_t | file_external
| `TRUE` iff the item is a file brought in by an svn:externals definition.
svn_node_kind_t | actual_kind
| The actual kind of the node in the working copy.

## Detailed Description

Structure for holding the "status" of a working copy item.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.

Since
  New in 1.7.

Definition at line 3720 of file svn_wc.h.

## Field Documentation

## actual_kind

svn_node_kind_t svn_wc_status3_t::actual_kind

The actual kind of the node in the working copy.

May differ from kind on obstructions, deletes, etc. svn_node_unknown if unavailable.

Since
  New in 1.9

Definition at line 3877 of file svn_wc.h.

## changed_author

const char* svn_wc_status3_t::changed_author

Last commit author of this item.

Definition at line 3765 of file svn_wc.h.

## changed_date

apr_time_t svn_wc_status3_t::changed_date

Date of last commit.

Definition at line 3762 of file svn_wc.h.

## changed_rev

svn_revnum_t svn_wc_status3_t::changed_rev

Last revision this was changed.

Definition at line 3759 of file svn_wc.h.

## changelist

const char* svn_wc_status3_t::changelist

Which changelist this item is part of, or NULL if not part of any.

Definition at line 3789 of file svn_wc.h.

## conflicted

svn_boolean_t svn_wc_status3_t::conflicted

Set to TRUE if the item is the victim of a conflict.

Definition at line 3738 of file svn_wc.h.

## copied

svn_boolean_t svn_wc_status3_t::copied

a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.).

Definition at line 3753 of file svn_wc.h.

## depth

svn_depth_t svn_wc_status3_t::depth

The depth of the node as recorded in the working copy (svn_depth_unknown for files or when no depth is set).

Definition at line 3727 of file svn_wc.h.

## file_external

svn_boolean_t svn_wc_status3_t::file_external

`TRUE` iff the item is a file brought in by an svn:externals definition.

Since
  New in 1.8.

Definition at line 3870 of file svn_wc.h.

## filesize

svn_filesize_t svn_wc_status3_t::filesize

The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).

Definition at line 3731 of file svn_wc.h.

## kind

svn_node_kind_t svn_wc_status3_t::kind

The kind of node as recorded in the working copy.

Definition at line 3723 of file svn_wc.h.

## lock

const svn_lock_t* svn_wc_status3_t::lock

The repository file lock.

(Values of path, token, owner, comment and are available if a lock is present)

Definition at line 3786 of file svn_wc.h.

## locked

svn_boolean_t svn_wc_status3_t::locked

This directory has a working copy lock.

Definition at line 3782 of file svn_wc.h.

## moved_from_abspath

const char* svn_wc_status3_t::moved_from_abspath

Set to the local absolute path that this node was moved from, if this file or directory has been moved here locally and is the root of that move.

Otherwise set to NULL.

This will be NULL for moved-here nodes that are just part of a subtree that was moved along (and are not themselves a root of a different move operation).

Since
  New in 1.8.

Definition at line 3844 of file svn_wc.h.

## moved_to_abspath

const char* svn_wc_status3_t::moved_to_abspath

Set to the local absolute path that this node was moved to, if this file or directory has been moved away locally and corresponds to the root of the destination side of the move.

Otherwise set to NULL.

Note: Saying just "root" here could be misleading. For example: svn mv A AA; svn mv AA/B BB; creates a situation where A/B is moved-to BB, but one could argue that the move source's root actually was AA/B. Note that, as far as the working copy is concerned, above case is exactly identical to: svn mv A/B BB; svn mv A AA; In both situations, moved_to_abspath would be set for nodes A (moved to AA) and A/B (moved to BB), only.

This will be NULL for moved-away nodes that were just part of a subtree that was moved along (and are not themselves a root of a different move operation).

Since
  New in 1.8.

Definition at line 3866 of file svn_wc.h.

## node_status

enum svn_wc_status_kind svn_wc_status3_t::node_status

The status of the node itself.

In order of precedence: Obstructions, structural changes, text changes.

Definition at line 3742 of file svn_wc.h.

## prop_status

enum svn_wc_status_kind svn_wc_status3_t::prop_status

The status of the entry's properties.

Definition at line 3748 of file svn_wc.h.

## repos_relpath

const char* svn_wc_status3_t::repos_relpath

The in-repository path relative to the repository root.

Definition at line 3774 of file svn_wc.h.

## repos_root_url

const char* svn_wc_status3_t::repos_root_url

The URL of the repository.

Definition at line 3768 of file svn_wc.h.

## repos_uuid

const char* svn_wc_status3_t::repos_uuid

The UUID of the repository.

Definition at line 3771 of file svn_wc.h.

## revision

svn_revnum_t svn_wc_status3_t::revision

Base revision.

Definition at line 3756 of file svn_wc.h.

## switched

svn_boolean_t svn_wc_status3_t::switched

a file or directory can be 'switched' if the switch command has been used.

If this is TRUE, then file_external will be FALSE.

Definition at line 3779 of file svn_wc.h.

## text_status

enum svn_wc_status_kind svn_wc_status3_t::text_status

The status of the entry's text.

Definition at line 3745 of file svn_wc.h.

## versioned

svn_boolean_t svn_wc_status3_t::versioned

If the path is under version control, versioned is TRUE, otherwise FALSE.

Definition at line 3735 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h